<?php
/**
 *
 * @package XCube
 * @version $Id: XCube_RoleManager.class.php,v 1.1.2.2 2006/12/26 14:30:54 nobunobu Exp $
 * @copyright Copyright 2005, 2006 XOOPS Cube Project <http://xoopscube.org/>
 * @license http://xoopscube.sourceforge.net/bsd_licenses.txt Modified BSD license
 *
 */

/**
 * The provider class which handles role informations with the store.
 */
class XCube_RoleManager
{
	function getRolesForUser($username = null)
	{
	}
}

/**
 * The utility class which handles role information without the root object.
 */
class XCube_Role
{
	function getRolesForUser($username = null)
	{
		$root =& XCube_Root::getSingleton();
		return $root->mRoleManager->getRolesForUser($username);
	}
}

?>